BEGIN ~rumastcr~

IF ~NumTimesTalkedTo(0)~
  THEN BEGIN rumastcr0
  SAY @0
  IF ~~ THEN REPLY @1 GOTO rumastcr1
  IF ~~ THEN REPLY @2 GOTO rumastcr2
  IF ~~ THEN REPLY @3 GOTO rumastcr1
  IF ~~ THEN REPLY @8 GOTO rumastcr3
END

IF ~~
  THEN BEGIN rumastcr1
  SAY @4 = @5 = @11 = @12
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN rumastcr2
  SAY @6 = @7 = @11 = @12
  IF ~~ THEN EXIT
END

IF ~~
  THEN BEGIN rumastcr3
  SAY @9 = @10 = @11 = @12
  IF ~~ THEN EXIT
END